View Issue Details

IDProjectCategoryView StatusLast Update
0010272ScribusUser Interfacepublic2019-12-08 21:24
ReporterJLuc Assigned Toale  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
PlatformPCOS7OS Version
Product Version1.4.0svn 
Target VersionFixed in Version 
Summary0010272: More versatile "masterpage import"
DescriptionWhen importing master pages, it would be interesting to choose not only "one" but a bunch of masterpages among existing masterpages : this would easyen the upgrade the masterpages in all files of a same project. An option to overwrite or rename would be usefull then, when a masterpage with same name allready exists.

The "import style" is a good example of what could be done for masterpages. Translating 'styles choose' dialog into 'masterpage choose' would provide :
- the list of all masterpage in the selected doc
- ability to select all or none of them
- ability to select or unselect the masterpages one by one
- option to either rename or overwrite in case of existing masterpage with same name.
Tagsworkflow
Patch

Relationships

related to 0008115 closedale Import multiple master pages 
related to 0015944 new optionally allow the user to replace the current master pages by imported master pages with the same name 
related to 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

JLuc

2011-12-26 15:54

developer   ~0027393

In 1.4 svn, 'overwrite' option is the crualest lack and the priority need for multiple files projects, like books, that have to share a common set of masterpages !

JLuc

2011-12-26 16:18

developer   ~0027395

How painfull is it to manage multiple files using the same masterpages ?
Here it is :

Let say we have a 'MASTER masterpages SLA document'. All change in masterpages are done in this master doc.
Let say we have 3 or 4 masterpages in this MASTER.sla : basicly one for left and one for right, and one or two for special pages.

After each edit in one of these masterpage definition in MASTER, it is required to replicate this change in each document using these masterpages. The way to do this is to import the masterpages.

In each of these (say 3 to 100) documents, we are required to import each 3 or 4 masterpages. To do so we are required for each document and for each masterpage to state the same filename : MASTER.sla (remembering the previous filename would avoid that tedious step).
Then we have to choose the correct master page amongst the various included masterpages (of course, being able to import many masterpages at once would greatly improve efficiency).
The choosen masterpage is then imported as a copy of its original name : its original name 'masterleft' for example becomes "copy ofmasterleft". Next step is to distroy the original masterpage first (sadly loosing all its references in the document), rename the "copy of masterleft" to original "masterleft", then leave masterpage edit, go into the document edit and apply "masterleft" to all left page that deserve it. In best cases, that is all left pages, but sometime some left pages have to use some other special masterpage. Of course these last steps would be avoided if it would be possible to overwrite existing masterpages having same name, as it is possible with style import.
This has to be done 9 to 400 times alltogether :
- for each shared masterpage (3 or 4 in this example)
- in each document part of the bigger project sharing masterpages defined in MASTER.sla (3 to 100 in this example).
- each time there is a change in some masterpage

Of course, i'd love to know it if there is some more convenient way to proceed to masterpage updates throughout the pages in a multiple files projects. In case there is none, i think it needs improving as proposed in bug original text.

ale

2019-11-14 07:15

manager   ~0047070

resolved through 0008115.

please open a new ticket if you think that overwriting MPs is still needed.

Issue History

Date Modified Username Field Change
2011-09-18 22:35 JLuc New Issue
2011-12-26 15:54 JLuc Note Added: 0027393
2011-12-26 16:18 JLuc Note Added: 0027395
2015-02-18 21:25 JLuc Relationship added related to 0003837
2019-11-13 08:41 ale Relationship added related to 0008115
2019-11-13 10:03 JLuc Tag Attached: workflow
2019-11-14 07:15 ale Assigned To => ale
2019-11-14 07:15 ale Status new => resolved
2019-11-14 07:15 ale Resolution open => fixed
2019-11-14 07:15 ale Note Added: 0047070
2019-11-14 07:23 ale Relationship added related to 0015944
2019-12-08 21:24 cbradney Status resolved => closed